Name:           xautomation
Version:        1.07
Release:        %mkrel 4
Summary:        Control X from the command line
Group:          System/X11
License:        GPLv2
URL:            http://hoopajoo.net/projects/xautomation.html
Source:         http://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz
Patch0:         xautomation-1.07-fix-build-missing-lXi.patch
BuildRequires:  libx11-devel
BuildRequires:  libxtst-devel
BuildRequires:  libpng-devel
BuildRequires:  libxi-devel

%description
Control X from the command line for scripts, and do "visual scraping" to find
things on the screen. The control interface allows mouse movement, clicking,
button up/down, key up/down, etc, and uses the XTest extension so you don't
have the annoying problems that xse has when apps ignore sent events. The
visgrep program find images inside of images and reports the coordinates,
allowing programs to find buttons, etc, on the screen to click on.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc README INSTALL NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man[17]/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.07-4.mga4
+ Revision: 526419
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.07-3.mga4
+ Revision: 436930
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.07-2.mga3
+ Revision: 386533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.07-1.mga3
+ Revision: 323597
- update to 1.07
- add patch to fix build (missing -lXi)

* Sun Jul 01 2012 malo <malo> 1.06-1.mga3
+ Revision: 265713
- update to 1.06 (patch by Jeff Robins)

* Sun Jan 29 2012 kamil <kamil> 1.05-1.mga2
+ Revision: 202907
- fix typos in the description
- new version 1.05
- add %%doc files (README, INSTALL, NEWS, AUTHORS)
- clean .spec

* Sun Sep 18 2011 fwang <fwang> 1.04-2.mga2
+ Revision: 144971
- rebuild for new libpng

* Tue Sep 06 2011 tv <tv> 1.04-1.mga2
+ Revision: 139818
- new release

* Tue May 03 2011 ahmad <ahmad> 1.03-2.mga1
+ Revision: 94447
- imported package xautomation


* Thu Nov 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.03-1mdv2011.0
+ Revision: 596133
- import xautomation


